A题是个签到题,BC思维题目,搞出来结论就秒了,D题是个树上DP由于现在水平薄弱还没做出来,以后补上 A. Sasha and the Beautiful Array 思路给数组排序,然后后项减前项,累加值就是最终结果,签到题一个 #include<bits/stdc++.h>using namespace std;#define int long longint t;int
1.A a题 ∑ i = 2 n ( a i − a i − 1 ) \sum_{i=2}^{n}(a_{i}-a_{i-1}) ∑i=2n(ai−ai−1)= a n − a 1 a_{n}-a_{1} an−a1所以我们排一下序输出 a n − a 1 a_{n}-a_{1} an−a1即可,当然直接累加也可以 #include<bits/stdc++.h>using na
比赛:Codeforces Round 926 (Div. 2) 目录:A B C A题 题目:Sasha and the Beautiful Array 标签: 构造(constructive algorithms)贪心(greedy)排序(sortings) 题目大意 有一个长度为 n, 数值为 1 − 1e9的数组a。重新排列数组 a 中的元素使得(ai - ai-1) i从2到
Codeforces Round 926 (Div. 2) B. Sasha and the Drawing (Java) 比赛链接:Codeforces Round 926 (Div. 2) B题传送门:B. Sasha and the Drawing 题目:B. Sasha and the Drawing Example input 3 43 33 103 94 77 1
A. Sasha and the Beautiful Array 分析:说实话,打比赛的时候看到这题没多想,过了一下样例发现将数组排序一下就行,交了就过了。刚刚写题解反应过来,a2-a1+a3-a2.....an-a(n-1) = an - a1,所以最后结果只取决于最大和最小的差。 int a[N];void solve() {int n; cin >> n;rep(i, 1,
Codeforces Round 926 (Div. 2) Codeforces Round 926 (Div. 2) A. Sasha and the Beautiful Array 题意:略。 思路:从小到大排序,取前后差和。 AC code: void solve() {int ans = 0;cin >> n;for (int i = 1; i <= n; i ++) ci